ModernizationTestingResourceAggregatedList

JSON representation
{
  "kind": string,
  "id": string,
  "items": {
    string: {
      object (ModernizationTestingResourcesScopedList)
    },
    ...
  },
  "nextPageToken": string,
  "selfLink": string,
  "warning": {
    "code": enum (WarningCode),
    "message": string,
    "data": [
      {
        "key": string,
        "value": string
      }
    ]
  },
  "unreachables": [
    string
  ]
}
Fields
kind

string

[Output Only] Type of resource. Always

compute#modernizationTestingResourceAggregatedList

for lists of ModernizationTestingResources.

id

string

[Output Only] Unique identifier for the resource; defined by the server.

items

map (key: string, value: object (ModernizationTestingResourcesScopedList))

A list of ModernizationTestingResourcesScopedList resources.

Key: Name of the scope containing this set of ModernizationTestingResources.

nextPageToken

string

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than

maxResults

, use the

nextPageToken

as a value for the query parameter

pageToken

in the next list request. Subsequent list requests will have their own

nextPageToken

to continue paging through the results.

warning

object

[Output Only] Informational warning message.

warning.code

enum (WarningCode)

[Output Only] A warning code, if applicable. For example, Compute Engine returns

NO_RESULTS_ON_PAGE

if there are no results in the response.

warning.message

string

[Output Only] A human-readable description of the warning code.

warning.data[]

object

[Output Only] Metadata about this warning in

key: value

format. For example:

"data": [
  {
   "key": "scope",
   "value": "zones/us-east1-d"
  }
warning.data[].key

string

[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be

scope

and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).

warning.data[].value

string

[Output Only] A warning data value corresponding to the key.

unreachables[]

string

[Output Only] Unreachable resources.

ModernizationTestingResourcesScopedList

JSON representation
{
  "modernizationTestingResources": [
    {
      object (ModernizationTestingResource)
    }
  ],
  "warning": {
    "code": enum (WarningCode),
    "message": string,
    "data": [
      {
        "key": string,
        "value": string
      }
    ]
  }
}
Fields
modernizationTestingResources[]

object (ModernizationTestingResource)

List of ModernizationTestingResources contained in this scope.

warning

object

Informational warning which replaces the list of backend services when the list is empty.

warning.code

enum (WarningCode)

[Output Only] A warning code, if applicable. For example, Compute Engine returns

NO_RESULTS_ON_PAGE

if there are no results in the response.

warning.message

string

[Output Only] A human-readable description of the warning code.

warning.data[]

object

[Output Only] Metadata about this warning in

key: value

format. For example:

"data": [
  {
   "key": "scope",
   "value": "zones/us-east1-d"
  }
warning.data[].key

string

[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be

scope

and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).

warning.data[].value

string

[Output Only] A warning data value corresponding to the key.